// 新闻聚焦管理
// 引入axios请求实例（已封装好baseURL、请求拦截器携带token）
import request from '@/utils/request'

// 13.1.	获取新闻分类分页数据
export function queryCategoryNewsPage(params) {
  return request({
    url: `/api/alumniCategoryNews/queryCategoryNewsPage`,
    method: 'get',
    params
  })
}

// 13.2.	新增新闻分类数据
export function insertCategoryNews(data) {
  return request({
    url: `/api/alumniCategoryNews/insertCategoryNews`,
    method: 'post',
    data
  })
}

// 13.3.	更新新闻分类数据
export function updateCategoryNews(data) {
  return request({
    url: '/api/alumniCategoryNews/updateCategoryNews',
    method: 'post',
    data
  })
}

// 13.4.	删除新闻分类数据
export function deleteCategoryNews(params) {
  return request({
    url: '/api/alumniCategoryNews/deleteCategoryNews',
    method: 'get',
    params
  })
}

// 13.5.	获取新闻分类下拉列表数据
export function queryCategoryNewss() {
  return request({
    url: '/api/alumniCategoryNews/queryCategoryNewss ',
    method: 'get',
  })
}

// 13.6.	获取新闻分页数据
export function queryAlumniNewsPage(params) {
  return request({
    url: '/api/alumniNews/queryAlumniNewsPage',
    method: 'get',
    params // 传修改后的菜单对象，必须带id
  })
}

// 13.7.	发布新闻数据
export function insertAlumniNews(data) {
  return request({
    url: `/api/alumniNews/insertAlumniNews`,
    method: 'post',
    data
  })
}

// 13.8.	更新新闻数据
export function updateAlumniNews(data) {
  return request({
    url: '/api/alumniNews/updateAlumniNews',
    method: 'post',
    data
  })
}

// 13.4.	删除新闻分类数据
export function deleteAlumniNews(params) {
  return request({
    url: '/api/alumniNews/deleteAlumniNews',
    method: 'get',
    params
  })
}